---
import RPSHeader from '~/components/site/RPSHeader.astro';
import { env } from '~/lib/env';
import { joinPaths } from '~/lib/path';
import type { Frontmatter } from '~/lib/types';

import '~/styles/global.css';

export type Props = {
  frontmatter?: Frontmatter;
};

const { frontmatter } = Astro.props;

const title = frontmatter?.title;
const description = frontmatter?.description;
---

<!doctype html>
<html lang="en" class={env.THEME}>
  <head>
    <meta charset="UTF-8" />
    <meta name="description" content={description ?? env.SITE_DESCRIPTION} />
    <meta name="viewport" content="width=device-width" />
    <link
      rel="icon"
      type="image/svg+xml"
      href={joinPaths(env.BASE_URL, 'favicon.svg')}
    />
    <meta name="generator" content={Astro.generator} />
    <title>{title ? `${env.SITE_TITLE} - ${title}` : env.SITE_TITLE}</title>

    { env.USE_RPS_HEADER && (
      <script is:inline type="text/javascript" src={env.RPS_HEADER_URL}></script>
      <style is:global>
        #rps-header.rps-header .rps-header-container .logo .navbar-brand img {
          box-sizing: unset;
        }
      </style>
    )}
  </head>
  <body class="min-h-screen flex flex-col overflow-x-hidden">
    { env.USE_RPS_HEADER && (
      <RPSHeader />
    )}
    <slot />
  </body>
</html>
